#include<Trade\Trade.mqh>

// create an instance of CTrade

input int SmallMovingAverage=8;
input int BigMovingAverage=21;
input double TargetProfit = 100;
CTrade trade;
bool startTrading = false;

   
void OnTick()
{
    // we calculate the Ask price
    double Ask=NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_ASK),_Digits);
    // we calculte the Bid price
    double Bid=NormalizeDouble(SymbolInfoDouble(_Symbol,SYMBOL_BID),_Digits);
   
    // create a string for the signal
    string signal="";
   
    // create an array for several prices
    double smallMovingAverageArray[],BigMovingAverageArray[];
   
    // define the properties of the small moving average
    int SmallMovingAverageDefinition=iMA(_Symbol,_Period,SmallMovingAverage,0,MODE_EMA,PRICE_CLOSE);
   
    // define the properties of the big moving average
    int BigMovingAverageDefinition=iMA(_Symbol,_Period,BigMovingAverage,0,MODE_EMA,PRICE_CLOSE);
   
    // defined EA, one line, current candle, 3 candles, store result
    CopyBuffer(SmallMovingAverageDefinition,0,0,3,smallMovingAverageArray);
   
    // defined EA, one line, current candle, 3 candles, store result
    CopyBuffer(BigMovingAverageDefinition,0,0,3,BigMovingAverageArray);
   
    // if BigMovingAverage>SmallMovingAverage
    if(BigMovingAverageArray[0]<smallMovingAverageArray[0])
   
    //if BigMovingAverage<SmallMovingAverage before
    if(BigMovingAverageArray[1]>smallMovingAverageArray[1])
    {
        if(startTrading)
        {
            signal="buy";
        }
        else
        {
            startTrading = true;
        }
    }
   
    // if BigMovingAverage<SmallMovingAverage
    if(BigMovingAverageArray[0]>smallMovingAverageArray[0])
   
    //if BigMovingAverage>SmallMovingAverage before
    if(BigMovingAverageArray[1]<smallMovingAverageArray[1])
    {
        if(startTrading)
        {
            signal="sell";
        }
        else
        {
            startTrading = true;
        }
    }
   
    // sell 10 microlot
    if(signal=="sell" && PositionsTotal()<1)
    {
        trade.Sell(1,NULL,Bid,0,0,NULL);
    }
   
     // buy 10 microlot
    if(signal=="buy" && PositionsTotal()<1)
    {
        trade.Buy(1,NULL,Ask,0,0,NULL);
    }
    
    double profit = AccountInfoDouble(ACCOUNT_EQUITY) - AccountInfoDouble(ACCOUNT_BALANCE);
    
    bool isProfit = profit >= TargetProfit;
    if(isProfit){
      for(int i = PositionsTotal()-1; i >= 0; i--){
         ulong posTicket = PositionGetTicket(i);
         if(PositionSelectByTicket(posTicket)){
            if(trade.PositionClose(posTicket)){
               if(isProfit) Print(__FUNCTION__," > Pos #", posTicket, "was closed because of profit...");
            }
         }
      }
    }
}